Index: TXM/trunk/org.txm.xmleditor.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.xmleditor.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.xmleditor.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -12,14 +12,13 @@
  org.eclipse.ui;bundle-version="[3.107.0,4.0.0)";visibility:=reexport,
  org.eclipse.core.resources;bundle-version="[3.11.0,4.0.0)";visibility:=reexport,
  org.eclipse.core.runtime;bundle-version="[3.12.0,4.0.0)";visibility:=reexport,
- org.eclipse.wst.common.uriresolver;bundle-version="[1.2.200,2.0.0)";visibility:=reexport,
+ org.eclipse.wst.common.uriresolver;bundle-version="1.3.0";visibility:=reexport,
  org.eclipse.wst.xml.core;bundle-version="1.1.1100";visibility:=reexport,
- org.eclipse.wst.common.ui;bundle-version="[1.1.500,1.2.0)";visibility:=reexport,
+ org.eclipse.wst.common.ui;bundle-version="1.2.100";visibility:=reexport,
  org.eclipse.wst.validation;bundle-version="[1.2.700,1.3.0)";visibility:=reexport,
  org.eclipse.wst.validation.ui;visibility:=reexport,
  org.eclipse.core.expressions;bundle-version="[3.5.0,4.0.0)";visibility:=reexport,
  org.eclipse.core.filesystem;bundle-version="[1.6.0,2.0.0)";visibility:=reexport,
- org.txm.core;bundle-version="0.7.0";visibility:=reexport,
  org.txm.rcp;bundle-version="0.7.8";visibility:=reexport,
  org.eclipse.wst.xml.ui;bundle-version="1.1.800";visibility:=reexport,
  org.txm.concordance.rcp;bundle-version="1.0.0";visibility:=reexport,
@@ -27,7 +26,7 @@
  org.eclipse.search;visibility:=reexport
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.xmleditor.rcp
 

Index: TXM/trunk/org.txm.statsengine.r.core.macosx/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.statsengine.r.core.macosx/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.statsengine.r.core.macosx/META-INF/MANIFEST.MF	(revision 3628)
@@ -4,7 +4,8 @@
 Bundle-SymbolicName: org.txm.statsengine.r.core.macosx
 Bundle-Version: 1.0.0.qualifier
 Fragment-Host: org.txm.statsengine.r.core;bundle-version="1.0.0"
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Eclipse-PlatformFilter: (osgi.os=macosx)
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.statsengine.r.core.macosx
+Eclipse-BundleShape: dir

Index: TXM/trunk/org.txm.ruby.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.ruby.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.ruby.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -5,7 +5,7 @@
 Bundle-Version: 1.0.0.qualifier
 Bundle-Vendor: textometrie.org
 Automatic-Module-Name: org.txm.ruby.rcp
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Require-Bundle: org.txm.rcp;bundle-version="0.8.2",
+Bundle-RequiredExecutionEnvironment: JavaSE-16
+Require-Bundle: org.txm.rcp;bundle-version="0.8.3",
  org.txm.ruby.core;bundle-version="1.0.0";visibility:=reexport
 Export-Package: org.txm.ruby.rcp

Index: TXM/trunk/org.txm.libs.hsqldb/.classpath
===================================================================
--- TXM/trunk/org.txm.libs.hsqldb/.classpath	(revision 3627)
+++ TXM/trunk/org.txm.libs.hsqldb/.classpath	(revision 3628)
@@ -1,9 +1,10 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry exported="true" kind="lib" path="lib/hsqldb.jar"/>
-	  <classpathentry exported="true" kind="lib" path="lib/sqltool.jar"/>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="output" path="bin"/>
-</classpath>
\ No newline at end of file
+	<classpathentry exported="true" kind="lib" path="lib/hsqldb.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/javax.servlet-api-3.1.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/sqltool.jar"/>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="src" path="src"/>
+	<classpathentry kind="output" path="bin"/>
+</classpath>
Index: TXM/trunk/org.txm.libs.hsqldb/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.libs.hsqldb/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.libs.hsqldb/META-INF/MANIFEST.MF	(revision 3628)
@@ -1,16 +1,39 @@
 Manifest-Version: 1.0
 Automatic-Module-Name: org.txm.libs.hsqldb
 Bundle-SymbolicName: org.txm.libs.hsqldb
-Export-Package: org.hsqldb,org.hsqldb.auth,org.hsqldb.cmdline,org.hsql
- db.cmdline.sqltool,org.hsqldb.dbinfo,org.hsqldb.error,org.hsqldb.inde
- x,org.hsqldb.jdbc,org.hsqldb.jdbc.pool,org.hsqldb.lib,org.hsqldb.lib.
- java,org.hsqldb.lib.tar,org.hsqldb.map,org.hsqldb.navigator,org.hsqld
- b.persist,org.hsqldb.result,org.hsqldb.rights,org.hsqldb.rowio,org.hs
- qldb.scriptio,org.hsqldb.server,org.hsqldb.types,org.hsqldb.util
-Bundle-Name: Hsqldb
-Bundle-Version: 2.4.1
-Bundle-ClassPath: lib/hsqldb.jar,lib/sqltool.jar,.
+Export-Package: org.hsqldb,
+ org.hsqldb.auth,
+ org.hsqldb.cmdline,
+ org.hsqldb.cmdline.libclone,
+ org.hsqldb.cmdline.sqltool,
+ org.hsqldb.cmdline.utilclone,
+ org.hsqldb.dbinfo,
+ org.hsqldb.error,
+ org.hsqldb.index,
+ org.hsqldb.jdbc,
+ org.hsqldb.jdbc.pool,
+ org.hsqldb.lib,
+ org.hsqldb.lib.java,
+ org.hsqldb.lib.tar,
+ org.hsqldb.map,
+ org.hsqldb.navigator,
+ org.hsqldb.persist,
+ org.hsqldb.resources,
+ org.hsqldb.result,
+ org.hsqldb.rights,
+ org.hsqldb.rowio,
+ org.hsqldb.scriptio,
+ org.hsqldb.server,
+ org.hsqldb.trigger,
+ org.hsqldb.types,
+ org.hsqldb.util
+Bundle-Name: org.txm.libs.hsqldb
+Bundle-Version: 2.7.0
+Bundle-ClassPath: .,
+ lib/hsqldb.jar,
+ lib/javax.servlet-api-3.1.0.jar,
+ lib/sqltool.jar
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: hsqldb.org
 
Index: TXM/trunk/org.txm.querycooccurrences.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.querycooccurrences.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.querycooccurrences.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -6,7 +6,7 @@
 Bundle-Name: %Bundle-Name.0
 Require-Bundle: org.eclipse.ui;visibility:=reexport,org.eclipse.core.r
  untime;visibility:=reexport,org.eclipse.core.expressions;bundle-versi
- on="3.4.500";visibility:=reexport,org.txm.rcp;bundle-version="0.8.0";
+ on="3.4.500";visibility:=reexport,org.txm.rcp;bundle-version="0.8.3";
  visibility:=reexport,org.txm.core;bundle-version="0.7.0";visibility:=
  reexport,org.txm.queryindex.rcp;bundle-version="1.0.0";visibility:=re
  export,org.txm.ca.core;visibility:=reexport,org.txm.statsengine.r.cor
@@ -16,7 +16,7 @@
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
 Bundle-Activator: listcooccurrences.Activator
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.querycooccurrences.rcp
 

Index: TXM/trunk/org.txm.treetagger.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.treetagger.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.treetagger.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -5,11 +5,11 @@
 Bundle-Version: 1.0.0.qualifier
 Bundle-Name: %Bundle-Name
 Require-Bundle: org.txm.treetagger.core;bundle-version="1.0.0";visibil
- ity:=reexport,org.txm.rcp;bundle-version="0.8.0";visibility:=reexport
+ ity:=reexport,org.txm.rcp;bundle-version="0.8.3";visibility:=reexport
  ,org.txm.index.rcp;bundle-version="1.0.0";visibility:=reexport
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.treetagger.rcp
 

Index: TXM/trunk/org.txm.libs.msoffice/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.libs.msoffice/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.libs.msoffice/META-INF/MANIFEST.MF	(revision 3628)
@@ -135,7 +135,7 @@
  lib/curvesapi-1.06.jar,
  lib/xmlbeans-4.0.0.jar
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Import-Package: net.sf.saxon.functions
 

Index: TXM/trunk/org.txm.chartsengine.r.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.chartsengine.r.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.chartsengine.r.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -7,7 +7,7 @@
  lity:=reexport,org.txm.chartsengine.r.core;bundle-version="1.0.0";vis
  ibility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.chartsengine.r.rcp
 

Index: TXM/trunk/org.txm.progression.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.progression.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.progression.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -12,7 +12,7 @@
  ity:=reexport,org.txm.edition.rcp;bundle-version="1.0.0";visibility:=
  reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.progression.rcp
 

Index: TXM/trunk/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- TXM/trunk/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 3627)
+++ TXM/trunk/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 3628)
@@ -27,6 +27,7 @@
 
 import java.util.ArrayList;
 import java.util.Arrays;
+import java.util.HashSet;
 import java.util.List;
 import java.util.Locale;
 
@@ -44,6 +45,7 @@
 import org.eclipse.jface.action.Separator;
 import org.eclipse.jface.util.Util;
 import org.eclipse.jface.viewers.ColumnLabelProvider;
+import org.eclipse.jface.viewers.IStructuredSelection;
 import org.eclipse.jface.viewers.StructuredSelection;
 import org.eclipse.jface.viewers.TableViewer;
 import org.eclipse.jface.viewers.TableViewerColumn;
@@ -863,6 +865,13 @@
 				if (currentComparator instanceof CompositeComparator) {
 					Log.fine(((CompositeComparator) currentComparator).getComparators().toString());
 				}
+				
+				List<Line> sel = ConcordanceEditor.this.viewerRight.getStructuredSelection().toList();
+				final HashSet<Integer> selectedPositions = new HashSet<Integer>();
+				for (Line line : sel) {
+					selectedPositions.add(line.matchGetStart());
+				}
+
 				JobHandler jobhandler = new JobHandler("Sorting...") { //$NON-NLS-1$
 					
 					@Override
@@ -875,6 +884,7 @@
 						
 						JobsTimer.start();
 						try {
+							
 							concordance.sort(currentComparator, new TXMProgressMonitor(monitor));
 							concordance.setTopIndex(0);
 							
@@ -886,6 +896,18 @@
 									StatusLine.setMessage(TXMUIMessages.sortDone);
 									try {
 										refresh(false);
+										
+										if (selectedPositions.size() > 0) {
+											List<Line> newLines = (List<Line>) ConcordanceEditor.this.viewerRight.getInput();
+											List<Line> newSelection = new ArrayList<Line>();
+											
+											for (Line l : newLines) {
+												if (selectedPositions.remove(l.matchGetStart())) newSelection.add(l);
+												if (selectedPositions.size() == 0) break;
+											}
+											ConcordanceEditor.this.viewerRight.setSelection(new StructuredSelection(newSelection));
+											ConcordanceEditor.this.viewerLeft.setSelection(new StructuredSelection(newSelection));
+										}
 									}
 									catch (Exception e1) {
 										// TODO Auto-generated catch block
Index: TXM/trunk/org.txm.concordance.rcp/src/org/txm/concordance/rcp/adapters/ConcordanceAdapterFactory.java
===================================================================
--- TXM/trunk/org.txm.concordance.rcp/src/org/txm/concordance/rcp/adapters/ConcordanceAdapterFactory.java	(revision 3627)
+++ TXM/trunk/org.txm.concordance.rcp/src/org/txm/concordance/rcp/adapters/ConcordanceAdapterFactory.java	(revision 3628)
@@ -2,14 +2,12 @@
 package org.txm.concordance.rcp.adapters;
 
 import org.eclipse.jface.resource.ImageDescriptor;
-import org.eclipse.ui.model.IWorkbenchAdapter;
 import org.eclipse.ui.plugin.AbstractUIPlugin;
 import org.osgi.framework.FrameworkUtil;
 import org.txm.concordance.core.functions.Concordance;
 import org.txm.rcp.adapters.TXMResultAdapter;
 import org.txm.rcp.adapters.TXMResultAdapterFactory;
 
-
 /**
  * A factory for creating Adapter objects.
  * 
Index: TXM/trunk/org.txm.concordance.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.concordance.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.concordance.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -6,11 +6,11 @@
 Bundle-SymbolicName: org.txm.concordance.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-Name: %Bundle-Name
-Require-Bundle: org.txm.rcp;bundle-version="0.8.0";visibility:=reexport,
+Require-Bundle: org.txm.rcp;bundle-version="0.8.3";visibility:=reexport,
  org.txm.concordance.core;bundle-version="1.0.0";visibility:=reexport,
  org.txm.links.rcp;bundle-version="1.0.0";visibility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: %Bundle-Vendor
 Automatic-Module-Name: org.txm.concordance.rcp
 

Index: TXM/trunk/org.txm.libs.graphstream/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.libs.graphstream/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.libs.graphstream/META-INF/MANIFEST.MF	(revision 3628)
@@ -46,11 +46,11 @@
  ala.xml.include.sax,scala.xml.parsing,scala.xml.persistent,scala.xml.
  pull,scala.xml.transform
 Bundle-Name: GraphStream
-Bundle-Version: 1.3
+Bundle-Version: 1.3.0
 Bundle-ClassPath: .,lib/gs-algo-1.3/gs-algo-1.3.jar,lib/gs-core-1.3/gs
  -core-1.3.jar,lib/gs-ui-1.3/gs-ui-1.3.jar
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: http://graphstream-project.org
 Automatic-Module-Name: org.txm.libs.graphstream
 

Index: TXM/trunk/org.txm.para.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.para.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.para.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -8,7 +8,7 @@
  ara.core;visibility:=reexport
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.para.rcp
 

Index: TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesLinesViewerComparator.java
===================================================================
--- TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesLinesViewerComparator.java	(revision 3627)
+++ TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesLinesViewerComparator.java	(revision 3628)
@@ -4,12 +4,18 @@
 package org.txm.specificities.rcp.editors;
 
 import java.text.Collator;
+import java.util.ArrayList;
+import java.util.HashSet;
+import java.util.List;
 
+import org.apache.poi.util.SystemOutLogger;
+import org.eclipse.jface.viewers.StructuredSelection;
 import org.eclipse.jface.viewers.TableViewer;
 import org.eclipse.jface.viewers.Viewer;
 import org.eclipse.swt.events.SelectionAdapter;
 import org.eclipse.swt.events.SelectionEvent;
 import org.eclipse.swt.widgets.TableColumn;
+import org.eclipse.swt.widgets.TableItem;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.editors.TableLinesViewerComparator;
 
@@ -78,6 +84,13 @@
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				
+				
+				HashSet<SpecifLine> oldSelection = new HashSet(viewer.getStructuredSelection().toList());
+				HashSet<String> oldSelectionNames = new HashSet<String>();
+				for (SpecifLine i : oldSelection) {
+					oldSelectionNames.add(i.name);
+				}
+								
 				// System.out.println("select column="+column.getText());
 				boolean partScoreFirstSort = (index != 0 && (index % 2) == 0 && lastColumnIndex != index);
 				
@@ -93,6 +106,21 @@
 				// long t = System.currentTimeMillis();
 				TXMEditor.refreshColumns(viewer);
 				// System.out.println("T="+(System.currentTimeMillis()-t));
+				
+				viewer.getTable().deselectAll();
+				if (oldSelectionNames.size() > 0) {
+					SpecifLine[] newLines = (SpecifLine[]) viewer.getInput();
+					for (int i = 0 ; i < newLines.length ; i++) {
+						
+						if (oldSelectionNames.remove(newLines[i].name)) {
+							viewer.getTable().select(i);
+						}
+					}
+					// FIXME setSelection dont work, is it because the table is virtual ?
+					//viewer.setSelection(new StructuredSelection(new ArrayList()));
+					
+				}
+				
 			}
 		});
 	}
Index: TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java
===================================================================
--- TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java	(revision 3627)
+++ TXM/trunk/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java	(revision 3628)
@@ -7,6 +7,7 @@
 import org.txm.chartsengine.rcp.editors.ChartEditor;
 import org.txm.core.results.Parameter;
 import org.txm.rcp.IImageKeys;
+import org.txm.rcp.editors.listeners.ComputeListener;
 import org.txm.rcp.editors.listeners.ComputeSelectionListener;
 import org.txm.rcp.swt.widget.FloatSpinner;
 import org.txm.rcp.swt.widget.LabeledSpinner;
@@ -49,7 +50,6 @@
 		this.groupBarsByLines = new ToolItem(this.getToolBar(), SWT.CHECK);
 		this.groupBarsByLines.setToolTipText(SpecificitiesUIMessages.groupBarsByLines);
 		this.groupBarsByLines.setImage(IImageKeys.getImage(ComputeSpecifities.class, "icons/silk_group_bars_by_lines.png")); //$NON-NLS-1$
-		this.groupBarsByLines.addSelectionListener(computeSelectionListener);
 		
 		// Banality
 		Composite extendedParametersArea = this.getExtendedParametersGroup();
@@ -57,6 +57,8 @@
 		LabeledSpinner banality = new LabeledSpinner(extendedParametersArea, this, new Label(extendedParametersArea, SWT.NONE), new FloatSpinner(extendedParametersArea, SWT.BORDER), SpecificitiesUIMessages.banality, SpecificitiesUIMessages.banalityThreshold, true);
 		this.banalitySpinner = (FloatSpinner) banality.getSpinner();
 		this.banalitySpinner.setMaximumAsFloat(200);
+		
+		this.groupBarsByLines.addSelectionListener(computeSelectionListener);
 		this.banalitySpinner.addSelectionListener(computeSelectionListener);
 	}
 
Index: TXM/trunk/org.txm.specificities.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.specificities.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.specificities.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -9,7 +9,7 @@
  lexicaltable.rcp;visibility:=reexport,org.txm.specificities.core;bund
  le-version="1.0.0";visibility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.specificities.rcp
 

Index: TXM/trunk/org.txm.statsengine.r.core.linux/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.statsengine.r.core.linux/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.statsengine.r.core.linux/META-INF/MANIFEST.MF	(revision 3628)
@@ -4,7 +4,8 @@
 Bundle-SymbolicName: org.txm.statsengine.r.core.linux
 Bundle-Version: 1.0.0.qualifier
 Fragment-Host: org.txm.statsengine.r.core;bundle-version="1.0.0"
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Eclipse-PlatformFilter: (osgi.os=linux)
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.statsengine.r.core.linux
+Eclipse-BundleShape: dir

Index: TXM/trunk/org.txm.ca.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.ca.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.ca.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -13,7 +13,7 @@
  ="1.0.0";visibility:=reexport,org.txm.lexicaltable.core;visibility:=r
  eexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.ca.core
 

Index: TXM/trunk/org.txm.treetagger.core.linux/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.treetagger.core.linux/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.treetagger.core.linux/META-INF/MANIFEST.MF	(revision 3628)
@@ -4,5 +4,5 @@
 Bundle-SymbolicName: org.txm.treetagger.core.linux
 Bundle-Version: 1.0.0.qualifier
 Fragment-Host: org.txm.treetagger.core;bundle-version="1.0.0"
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Automatic-Module-Name: org.txm.treetagger.core.linux

Index: TXM/trunk/org.txm.libs.saxon/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.libs.saxon/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.libs.saxon/META-INF/MANIFEST.MF	(revision 3628)
@@ -1,8 +1,6 @@
 Manifest-Version: 1.0
 Bundle-SymbolicName: org.txm.libs.saxon
 Export-Package: net.sf.saxon,
- net.sf.saxon.data,
- net.sf.saxon.data.sef,
  net.sf.saxon.dom,
  net.sf.saxon.event,
  net.sf.saxon.expr,
@@ -62,14 +60,14 @@
  net.sf.saxon.xpath,
  net.sf.saxon.z
 Bundle-Name: Saxon
-Bundle-Version: 11
+Bundle-Version: 9.0.0
 Bundle-ClassPath: .,
  lib/jline-2.14.6.jar,
  lib/saxon-he-11.3.jar,
- lib/xmlresolver-4.2.0-data.jar,
- lib/xmlresolver-4.2.0.jar
+ lib/xmlresolver-4.2.0.jar,
+ lib/xmlresolver-4.2.0-data.jar
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Bundle-Vendor: http://saxon.sourceforge.net/
+Bundle-RequiredExecutionEnvironment: JavaSE-16
+Bundle-Vendor: https://saxon.sourceforge.net/
 Automatic-Module-Name: org.txm.libs.saxon
 

Index: TXM/trunk/org.txm.translate.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.translate.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.translate.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -3,9 +3,9 @@
 Bundle-SymbolicName: org.txm.translate.rcp;singleton:=true
 Bundle-Name: %Bundle-Name.0
 Bundle-Version: 1.0.0.qualifier
-Require-Bundle: org.txm.rcp;bundle-version="0.8.0";visibility:=reexpor
+Require-Bundle: org.txm.rcp;bundle-version="0.8.3";visibility:=reexpor
  t,org.eclipse.search;bundle-version="3.11.100";visibility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 
Index: TXM/trunk/org.txm.translate.rcp/.settings/org.eclipse.jdt.groovy.core.prefs
===================================================================
--- TXM/trunk/org.txm.translate.rcp/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3627)
+++ TXM/trunk/org.txm.translate.rcp/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3628)
@@ -1,3 +1,3 @@
 eclipse.preferences.version=1
-groovy.compiler.level=30
+groovy.compiler.level=40
 groovy.script.filters=**/*.dsld,y,**/*.gradle,n

Index: TXM/trunk/org.txm.ocaml.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.ocaml.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.ocaml.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -18,11 +18,11 @@
  e.support.toplevel,org.ocamljava.runtime.util,org.ocamljava.runtime.v
  alues,org.ocamljava.runtime.wrappers,org.txm.ocaml.core
 Bundle-Name: Ocaml
-Bundle-Version: 2.0
+Bundle-Version: 2.0.0
 Bundle-ClassPath: .,lib/ocamlrun-scripting.jar,lib/ocaml-lib-files.jar
 Require-Bundle: org.txm.core;visibility:=reexport,
  org.eclipse.core.runtime;visibility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 

Index: TXM/trunk/org.txm.cooccurrence.chartsengine/.project
===================================================================
--- TXM/trunk/org.txm.cooccurrence.chartsengine/.project	(revision 3627)
+++ TXM/trunk/org.txm.cooccurrence.chartsengine/.project	(revision 3628)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <projectDescription>
-	<name>org.txm.dev.cooccurrence.chartsengine</name>
+	<name>org.txm.cooccurrence.chartsengine.rcp</name>
 	<comment></comment>
 	<projects>
 	</projects>
Index: TXM/trunk/org.txm.cooccurrence.chartsengine/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.cooccurrence.chartsengine/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.cooccurrence.chartsengine/META-INF/MANIFEST.MF	(revision 3628)
@@ -1,12 +1,11 @@
 Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Cooccurrence Graphs
-Bundle-SymbolicName: org.txm.dev.cooccurrence.chartsengine;singleton:=true
+Bundle-SymbolicName: org.txm.cooccurrence.chartsengine.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-Vendor: Textometrie.org
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Require-Bundle: org.txm.chartsengine.graphstream.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.cooccurrence.core;bundle-version="1.0.0";visibility:=reexport,
  org.txm.cooccurrence.rcp;bundle-version="1.0.0";visibility:=reexport,
  org.txm.chartsengine.rcp;bundle-version="1.0.0";visibility:=reexport
 Export-Package: org.txm.cooccurrence.chartsengine,

Index: TXM/trunk/org.txm.rcp/VERSION
===================================================================
--- TXM/trunk/org.txm.rcp/VERSION	(revision 3627)
+++ TXM/trunk/org.txm.rcp/VERSION	(revision 3628)
@@ -1 +1 @@
-0.8.2
\ No newline at end of file
+0.8.3
\ No newline at end of file
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 3627)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 3628)
@@ -1494,6 +1494,8 @@
 	public static String textsToProcess;
 
 	public static String pageProperties;
+
+	public static String textLanguage;
 	
 	static {
 		// initialize resource bundle
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/views/BasesView.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/views/BasesView.java	(revision 3627)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/views/BasesView.java	(revision 3628)
@@ -89,6 +89,9 @@
 	 * Refresh.
 	 */
 	public static void refresh() {
+		
+		if (!PlatformUI.isWorkbenchRunning()) return;
+		
 		BasesView baseView = (BasesView) PlatformUI.getWorkbench()
 				.getActiveWorkbenchWindow().getActivePage().findView(
 						BasesView.ID);
@@ -100,6 +103,9 @@
 	 * Reload.
 	 */
 	public static void reload() {
+		
+		if (!PlatformUI.isWorkbenchRunning()) return;
+		
 		BasesView baseView = (BasesView) PlatformUI.getWorkbench()
 				.getActiveWorkbenchWindow().getActivePage().findView(
 						BasesView.ID);
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/views/QueriesView.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/views/QueriesView.java	(revision 3627)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/views/QueriesView.java	(revision 3628)
@@ -119,6 +119,9 @@
 	 * Reload.
 	 */
 	public static void reload() {
+		
+		if (!PlatformUI.isWorkbenchRunning()) return;
+		
 		QueriesView baseView = (QueriesView) PlatformUI.getWorkbench()
 		.getActiveWorkbenchWindow().getActivePage().findView(
 				QueriesView.ID);
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroExplorer.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroExplorer.java	(revision 3627)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroExplorer.java	(revision 3628)
@@ -131,6 +131,9 @@
 	 * Refresh.
 	 */
 	public static void refresh() {
+		
+		if (!PlatformUI.isWorkbenchRunning()) return;
+		
 		MacroExplorer explorerView = (MacroExplorer) PlatformUI.getWorkbench()
 				.getActiveWorkbenchWindow().getActivePage().findView(
 						MacroExplorer.ID);
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 3627)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 3628)
@@ -148,6 +148,8 @@
 	 */
 	public static CorporaView getInstance() {
 		if (self == null) {
+			if (!PlatformUI.isWorkbenchRunning()) return null;
+			
 			IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
 			if (window == null) return null;
 			IWorkbenchPage page = window.getActivePage();
@@ -617,6 +619,9 @@
 	 * @param arrayList
 	 */
 	public static void select(List<?> arrayList) {
+		
+		if (!PlatformUI.isWorkbenchRunning()) return;
+		
 		CorporaView corporaView = openView();
 		if (corporaView != null) {
 			StructuredSelection selection = new StructuredSelection(arrayList);
@@ -633,6 +638,8 @@
 	public static CorporaView openView() {
 		// open Unit View if not opened
 		try {
+			if (!PlatformUI.isWorkbenchRunning()) return null;
+			
 			IWorkbenchPage page = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage();
 			CorporaView view = (CorporaView) page.findView(CorporaView.ID);
 			if (view == null) {
